Home page logo
/

fulldisclosure logo Full Disclosure mailing list archives

Drupal Bibliography 6.x-1.6 XSS Vuln
From: Black Packeteer <black.packeteer () gmail com>
Date: Fri, 25 Sep 2009 08:46:49 -0400

The Drupal Bibliography Module 6.x-1.6 (http://drupal.org/project/biblio)
contains a cross site scripting vulnerability because it fails to sanitize
the output of the title field of the Biblio item.

You can exploit this vulnerability by creatign a new piece of Biblio content
and entering JavaScript in the title field.  Once created the JavaScript
will execute any time anyone views the biblio item.  This means that someone
who has the ability to create content can expose other users to XSS even if
they're restricted with respect to the input types they're using.  XSS can
lead to a compromise of the Drupal root user, which then allows attackers to
take control of the web server.
_______________________________________________
Full-Disclosure - We believe in it.
Charter: http://lists.grok.org.uk/full-disclosure-charter.html
Hosted and sponsored by Secunia - http://secunia.com/

  By Date           By Thread  

Current thread:
[ Nmap | Sec Tools | Mailing Lists | Site News | About/Contact | Advertising | Privacy ]
AlienVault